질문/조언질답게시판

안녕하세요.

 

라이믹스 1.9.2 사용하다가  1.9.6 으로  업그레이드를 했습니다.

 

모듈 업데이트가 안되는데 어떻게 해야 하는지요?

 

1.9.2 에서  1.9.6  마스터 버전 덮어씌우기 후 모듈 업데이트 안됨

 

1.9.3, 1.9.4, 1.9.5, 1.9.6 을   각각 덮어씌워도 안됩니다.

 

그리고 콘텐츠 > 문서는 잘 들어가지는데,      콘텐츠 > 댓글 진입시에는 오류가 나네요.

 

PHP Fatal Error: Call to a member function isModuleUsingPublishValidation() on a non-object in modules/comment/comment.model.php on line 711

 

확인 부탁 드립니다.

 

감사합니다.

 

 

제목 없음.jpg

  • profile

    https://github.com/rhymix/rhymix/issues/1017

    혹시 이 문제라면 PHP 버전을 변경해 주시고, 그렇지 않다면 어떤 서버 환경인지 알려주세요.

  • profile profile

    요청하신 정보입니다.

     

    글 작성, 삭제는 잘 됩니다.

     

    댓글 작성은 오류가 발생합니다.

     

    제목 없음.png

     

     

    미리내 사이트 이용중입니다.   1.9.2 로 되돌려야 하는지요?

     

    [Basic Information]
    rhymix_version : 1.9.6
    date : 2018-03-23 14:17:20 +0900
    php : 5.5.38 (64-bit)
    server : Apache/2.2.15 (CentOS)
    os : Linux 2.6.32-696.10.2.el6.x86_64
    sapi : apache2handler
    ssl : none

    [System Settings]
    db.type : mysql (myisam, utf8)
    db.version : 5.5.57
    cache.type : apc
    locale.default_lang : ko
    locale.default_timezone : Asia/Seoul
    locale.internal_timezone : 32400
    mobile.enabled : true
    mobile.tablets : false
    session.use_db : false
    session.use_keys : false
    session.use_ssl : false
    view.concat_scripts : none
    view.minify_scripts : common
    use_rewrite : true
    use_sso : false

     

  • profile profile
    자세한 정보 감사합니다. PHP 5.5 버전대에서 뭔가 문제가 되는 모양이군요. 5.6이나 7.0으로 변경은 어려우신가요?
  • profile profile
    빠른 답변 감사합니다.
    미리내에서 7.2를 지원하는데 7.2 로 가도 괜찮은지요?


    안녕하세요 (주)미리내닷컴 입니다.
    국내에서 가장 널리 배포된 XpressEngine , WordPress 등 CMS 프로그램에서 PHP 7.2 이상을
    지원함에 따라, 최신 환경에서 개발을 원하시는 고객님의 수요를 충족시키고자
    PHP 7.2 의 웹호스팅 환경(PHP 7.2 / MariaDB 10.2) 을 새롭게 추가하였습니다.
  • profile profile
    코어는 괜찮은데, 최근(올해 1월 이후)에 업데이트되지 않은 서드파티 자료가 있다면 7.2는 곤란합니다.
  • profile ?
    7.2는 손볼게 많아서요 7.0을 추천해드리고 싶은데...
  • profile profile

    넵. 업체에 7.0 서버가 된다고 하네요.

     

    넵. 7.0 , mariaDB10 으로 이전 요청했습니다. 

  • ? profile

    넵. 7.0 , mariaDB10 으로 이전 요청했습니다.